# import

The package is a continuation of the Xanion package, so I didn't create everything, hope you like it

# Vanilla Mob Variants

Taking inspiration from Optifine's random alternate mob textures, this resource pack brings **aprox. 800 variations PER MOB, for almost EVERY MOB in the game!** This is done using a combination of alternate textures, entity tinting, and model scaling to make mobs with even the same texture look slightly unique. This pack will continue to be updated with more mobs and textures as long as people show interest in it!

I'd also like to thank some amazing community members that have gone out of their way to make new variants based on the vanilla textures. All community texture artists and thier work can be found [in the Credits file](Credits.md)!

The latest version of the .mcpack can be downloaded under the "assets" section of the releases page [here](https://github.com/xanthousm/Vanilla-Mob-Variants/releases/latest)! For more up-to-date news and feature voting on the pack, check out our discord: https://discord.gg/UbjD9ny

### Why a resource pack?
Unlike addons that use a behaviour pack, resource packs can be applied in the global resources settings and then used everywhere - server, realms, and survival worlds without disabling achievements. Just set and forget!

The only downside to this is that the mobs will randomise their texture each time they are rendered ?? but this could be fixed using an optional behaviour pack (if enough people want it).

![Current Mob List](https://github.com/xanthousm/Vanilla-Mob-Variants/blob/master/media/full_list_v2.png)

### Current Features For Each Mob: 
- Aprox. 9 new texture variants
- Approx. 40 different subtle tint variations*
- Approx. 5 different height variations
- Baby-specific variants for some mobs
*Tints are disabled for:
- Sheep to see wool color more easily
- Creepers since it is used for the explosion animation

### 5 Different Resource Pack Settings:
Control the kinds of variants you see by clicking on the pack's gear icon in the resource pack selection panel. After changing the setting slider, just exit the menu to apply the new setting.
- Community Vanilla: Tint, size, texture variants. Vanilla defined by the discord community!
- Simple Vanilla: Tint, size, texture variants. Sticks very close to the original art style!
- Pure Vanilla: No textures, just tint and size variants. Good when using other texture packs!
- Community Unlimited: Want a little bit more than plain old vanilla? Here's ALL the community's textures!
- Custom: Use your own personal textures! Replace the texture files in the 'v' and 'c' folders.

![Settings Preview](https://github.com/xanthousm/Vanilla-Mob-Variants/blob/master/media/options_preview.png)

### Current Limitations: 
- Tamed and named mobs do not have persistant textures
- Striders permenantly revert to the original texture
- wolves change their texture every time rendered 
- Various bugs can occur when used with old resource packs/worlds that have not been updated to 1.16 or higher (eg: invisible zombie pigmen)
